# wxGraphicsGradientStops Class Reference
[Graphics Device Interface (GDI)]

`#include <wx/graphics.h>`

## Detailed Description

Represents a collection of wxGraphicGradientStop values for use with CreateLinearGradientBrush and CreateRadialGradientBrush.

The stops are maintained in order of position. If two or more stops are added with the same position then the one(s) added later come later. This can be useful for producing discontinuities in the colour gradient.

Notice that this class is write-once, you can't modify the stops once they had been added.

##

Library: wxCore

Category: Graphics Device Interface (GDI)

Since:
  2.9.1

## Public Member Functions
| wxGraphicsGradientStops (wxColour startCol=wxTransparentColour, wxColour endCol=wxTransparentColour)
| Initializes the gradient stops with the given boundary colours.
wxGraphicsGradientStop | Item (unsigned n) const
| Returns the stop at the given index.
unsigned | GetCount () const
| Returns the number of stops.
void | SetStartColour (wxColour col)
| Set the start colour to col.
wxColour | GetStartColour () const
| Returns the start colour.
void | SetEndColour (wxColour col)
| Set the end colour to col.
wxColour | GetEndColour () const
| Returns the end colour.
void | Add (const wxGraphicsGradientStop &stop)
| Add a new stop.
void | Add (wxColour col, float pos)
| Add a new stop.

List of all members.

## Constructor & Destructor Documentation

wxGraphicsGradientStops::wxGraphicsGradientStops | ( | wxColour | startCol = `wxTransparentColour`,
|  | wxColour | endCol = `wxTransparentColour` |
| ) |  |  |

Initializes the gradient stops with the given boundary colours.

Creates a wxGraphicsGradientStops instance with start colour given by startCol and end colour given by endCol.

## Member Function Documentation

void wxGraphicsGradientStops::Add | ( | wxColour | col,
|  | float | pos |
| ) |  |  |

Add a new stop.

void wxGraphicsGradientStops::Add | ( | const wxGraphicsGradientStop & | stop | ) |

Add a new stop.

unsigned wxGraphicsGradientStops::GetCount | ( |  | ) | const

Returns the number of stops.

wxColour wxGraphicsGradientStops::GetEndColour | ( |  | ) | const

Returns the end colour.

wxColour wxGraphicsGradientStops::GetStartColour | ( |  | ) | const

Returns the start colour.

wxGraphicsGradientStop wxGraphicsGradientStops::Item | ( | unsigned | n | ) | const

Returns the stop at the given index.

Parameters:

  | n | The index, must be in [0, GetCount()) range.

void wxGraphicsGradientStops::SetEndColour | ( | wxColour | col | ) |

Set the end colour to col.

void wxGraphicsGradientStops::SetStartColour | ( | wxColour | col | ) |

Set the start colour to col.

|  | [ top ]